summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-tex/currvita
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-tex/currvita')
-rw-r--r--dev-tex/currvita/Manifest1
-rw-r--r--dev-tex/currvita/currvita-0.9i-r1.ebuild33
-rw-r--r--dev-tex/currvita/metadata.xml5
3 files changed, 39 insertions, 0 deletions
diff --git a/dev-tex/currvita/Manifest b/dev-tex/currvita/Manifest
new file mode 100644
index 00000000000..db52744a21f
--- /dev/null
+++ b/dev-tex/currvita/Manifest
@@ -0,0 +1 @@
+DIST currvita-0.9i.tar.gz 17889 SHA256 4454cdce19f0cc8b4c82ae53426b1096e7bfbf8bb5f34c6b88c4ad8dda403264 SHA512 46c13f9b0c94c3d0212629a508d645beefc961a9b0bc970ea3523337f3a9f1ad33cbb549672190df4c3a2fcc14c8bfa86a941750170ba4fa87ce98467af0dbc5 WHIRLPOOL 9228d276a2b3de8e4c753ce6523f5cc1ab916b8de3de407a95177c4f1bd5ff7c41f9aac4d4236d22dbebb2f8ff842285798de6d6c2e9eae0d2eaf0c09f481e37
diff --git a/dev-tex/currvita/currvita-0.9i-r1.ebuild b/dev-tex/currvita/currvita-0.9i-r1.ebuild
new file mode 100644
index 00000000000..21f4034b902
--- /dev/null
+++ b/dev-tex/currvita/currvita-0.9i-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit latex-package
+
+DESCRIPTION="A LaTeX package for typesetting a curriculum vitae"
+HOMEPAGE="http://www.ctan.org/tex-archive/macros/latex/contrib/currvita/"
+# snapshot taken from
+# ftp://ftp.dante.de/tex-archive/macros/latex/contrib/currvita.tar.gz
+SRC_URI="mirror://gentoo/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+
+IUSE=""
+
+# >=tetex-2 includes currvita
+DEPEND="!>=app-text/tetex-2
+ !app-text/ptex"
+
+S="${WORKDIR}/${PN}"
+
+TEXMF="/usr/share/texmf-site"
+DOCS="README"
+
+src_test() {
+ latex currvita.dtx || die "first step of currvita.dtx failed"
+ latex currvita.dtx || die "second step of currvita.dtx failed"
+ latex currvita.dtx || die "third step of currvita.dtx failed"
+ latex cvtest.tex || die "processing cvtest.tex failed"
+}
diff --git a/dev-tex/currvita/metadata.xml b/dev-tex/currvita/metadata.xml
new file mode 100644
index 00000000000..ba6a8a8800d
--- /dev/null
+++ b/dev-tex/currvita/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>tex</herd>
+</pkgmetadata>